Rated 3 out of 5 stars

I think this is built into firefox now. Crtl+Alt+R should restart.

Rated 5 out of 5 stars

If you increase the max version in the rdf file it will install and it does still work, functions absolutely fine no problems.

Firefox 24.0

Rated 3 out of 5 stars

make it work for Mozilla 16!!!

Rated 5 out of 5 stars

Love this add-on!

Updated it to work with Firefox 15.0
http://dandreifort.com/2012/08/28/updated-extensions-for-latest-firefox-update/

Rated 4 out of 5 stars

There is also this addon restartless restart https://addons.mozilla.org/en-US/firefox/addon/restartless-restart/reviews/?src=api

This user has a previous review of this add-on.

works on ff10 Rated 5 out of 5 stars

I agree it works perfectly for FF10 nightlies after doing the version number tweak.
And I was always on the people's side that say that compatibility checking nonsense is nothing but WINDOW-DRESSING.
Because it benefits no one; it just creates obstacles you need to bypass by artificial means (i. e. version hacking and friends)

Mr. Avila would just "update" his extension by raising max version to 10 or 11, and couldn't you do that yourself?
So you see - I've never seen this compatibility checking stuff being of any practical use. But because of a handful of stubborn conservative developer nerds, it will probably never happen that these checks ever get removed for good.

Rated 5 out of 5 stars

Отличный доп! Благодарю!

Rated 5 out of 5 stars

Tested on FF 10 nightly... works fine. Quick restart; restarts correctly (removes from activity monitor / task manager).

Compatibility with FF6.0 Rated 3 out of 5 stars

5* for the add-on, 1* for not updating it. Under the following link you can download a "hacked" version, working properly with FF 6.0:
http://hpk.homepage.bluewin.ch/download/firefox.html

Rated 1 out of 5 stars

Sad that it's incompatible, I found this as a good alternate and it does work with FF 6.0...
https://addons.mozilla.org/en-US/firefox/addon/restartless-restart/

Firefox 6? Rated 5 out of 5 stars

Love this add-on but please make it work with FF 6. Pretty please :)

This user has 2 previous reviews of this add-on.

Needs fixed for FF6 Rated 3 out of 5 stars

Needs fixed for FF6

Rated 5 out of 5 stars

Just updated Firefox. I disabled it's extension compatibility check.
So far, it works normally for Firefox 5.0.1

http://kb.mozillazine.org/Extensions.checkCompatibility

Not Compatible Rated 1 out of 5 stars

Needs to be compatible with the latest version of firefox!

Rated 5 out of 5 stars

Not line 20 Gombszem, it's line 17. :)
Change 3.6 to 4.6 and it works fine with FF 4.01

Rated 5 out of 5 stars

Solving for FF4:

1. Rename the extension xpi > zip
1. Unzip the renamed file
2. Open with texteditor: install.rdf
3. Edit Line 20: 3.6 > 4.0
4. Save
5. Zip the complete summary
6. Rename the extension zip > xpi
7. Install the extension in FF4

Rated 5 out of 5 stars

Great extension, firefox should include this function.
It works for FF 6.0a1 after doing the trick.

update for FF4 Rated 5 out of 5 stars

So useful. Just wish it was updated for firefox 4

Rated 4 out of 5 stars

Version tweak works fine. Didn't experience any of the problems another user mentioned.

Rated 3 out of 5 stars

Please update for FF4.